﻿@model MainApplication.Models.PollModel

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

<h2>Details</h2>


<div id="content" class="container">
    <div>
        <h4>PollModel</h4>
        <hr />
        <dl class="dl-horizontal">
            <div class="jumbotron">
                <h1>@Html.DisplayFor(model => model.Title)</h1>
                <p class="lead">

                    <div class="card-body">

                        <div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">@Html.DisplayNameFor(model => model.Description)</label>
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.DisplayFor(model => model.Description)                                </div>
                            </div>
                        </div>

                        

                        <div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">Poll Image:</label>
                            <div class="col-sm-9 col-md-4">
                <p><img src="@Model.ImageURI" alt="@Model.Title" width="150" class="rounded"></p>
                
            </div>
    </div>
    <div class="form-group row">
        <label for="time_toggle" class="col-sm-3 col-form-label">Start Date</label>
        <div class="col-sm-9">
            <div class="switch">
                @Html.DisplayFor(model => model.StartDate)
            </div>
            
        </div>
    </div>
    <div class="form-group row">
        <label for="time_toggle" class="col-sm-3 col-form-label">End Date</label>
        <div class="col-sm-9">
            <div class="switch">
                @Html.DisplayFor(model => model.EndDate)
            </div>

        </div>
    </div>
    <div class="form-group row">
        <label for="time_toggle" class="col-sm-3 col-form-label">Publisher</label>
        <div class="col-sm-9">
            <div class="switch">
                @Html.DisplayFor(model => model.PublisherId)
            </div>

        </div>
    </div>
    <div class="form-group row">
        <label for="time_toggle" class="col-sm-3 col-form-label">Active</label>
        <div class="col-sm-9">
            <div class="switch">
                @Html.DisplayFor(model => model.IsActive)
            </div>

        </div>
    </div>
</div>

            </p>
</div>





    </div>


<div style="display:none">
    @foreach (var Q in Model.Questions)
    {<div id="q_@Q.Id">

            <a href="@Url.Action("Details","Question", new {id = Q.Id})"> @Html.DisplayFor(modelItem => Q.Content)</a>
            <a onclick="sendajax(@Q.Id)" class="btn btn-success">delete</a>


        </div>
    }
</div>

<div class="card">
    <div class="card-header">
        <h4 class="card-title">Questions</h4>
    </div>
    <div class="card-header bg-white">
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
            add question
            <i class="material-icons">add</i>
        </button>
    </div>
    <div class="nestable" id="nestable">
        <ul class="list-group list-group-fit nestable-list-plain mb-0">
            @foreach (var Q in Model.Questions)
            {
                <div id="q_@Q.Id">

                    <li class="list-group-item nestable-item">
                        <div class="media">
                            <div class="media-left media-middle">
                                <a href="#" class="btn btn-default nestable-handle"><i class="material-icons">menu</i></a>
                            </div>
                            <div class="media-body media-middle" id="q_@Q.Id">

                                <a href="@Url.Action("Details", "Question", new { id = Q.Id })"> @Html.DisplayFor(modelItem => Q.Content)</a>



                            </div>
                        </div>
                        <div class="media-right text-right">
                            <div style="width:100px">
                                <a onclick="sendajax(@Q.Id)" class="btn btn-success">delete</a>
                            </div>
                        </div>
                </div>    }

            </li>

        </ul>
    </div>
</div>



<!-- Button trigger modal -->

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="false" data-backdrop="false">
    <form method="post" action="/question/Create/@Model.Id">

        <div class="modal-dialog" role="document">

            <div class="modal-content">
                <div class="modal-header">

                    <h5 class="modal-title" id="exampleModalLabel">Add Question</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="span3">

                            <input type="number" style="display:none" id="PostId" name="PostId" value="@Model.Id" />
                        </div>
                        <div class="span3">
                            <label for="type">Type</label>
                            <select id="type" name="type" data-bind="value: type">
                                <option>Yes/No</option>
                                <option>Number</option>
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="span6">
                            <label for="Title">question content</label>


                        </div>
                    </div>

                    <div class="span6">
                        <textarea id="Content" name="Content"></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </div>
    </form>

</div>

</div></div>
<p>
    |
    @Html.ActionLink("Back to List", "Index")
</p>
    </div>


<script>

    function sendajax(arg) {
        console.log(arg)
        $.ajax({
            url: '/question/delete/'+arg,
            type: 'POST',

            success: function (code_html, statut) { // code_html contient le HTML renvoyé
                if (code_html == "ok") {
                    $("#q_"+arg).remove()
                }
                console.log(status)
            }
        });
    }
</script>